Bug 255958 - New port: databases/emacsql High-level Emacs Lisp RDBMS front-end
Summary: New port: databases/emacsql High-level Emacs Lisp RDBMS front-end
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on: 255951
Blocks: 255959
  Show dependency treegraph
 
Reported: 2021-05-17 23:49 UTC by Yasuhiro Kimura
Modified: 2021-06-02 02:35 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (9.89 KB, patch)
2021-05-17 23:49 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (9.60 KB, patch)
2021-05-20 17:48 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-17 23:49:21 UTC
Created attachment 225045 [details]
Patch file

EmacSQL is a high-level Emacs Lisp front-end for SQLite (primarily), PostgreSQL, MySQL, and potentially other SQL databases.

It works by maintaining a inferior process running (a "connection") for interacting with the back-end database. Connections are automatically cleaned up if they are garbage collected. All requests are synchronous.

Any readable lisp value can be stored as a value in EmacSQL, including numbers, strings, symbols, lists, vectors, and closures. EmacSQL has no concept of "TEXT" values; it's all just lisp objects. The lisp object nil corresponds 1:1 with NULL in the database.
Comment 1 Yasuhiro Kimura 2021-05-20 17:48:32 UTC
Created attachment 225135 [details]
Updated patch file

Use latest release rather than snapshot.
Comment 2 commit-hook freebsd_committer 2021-06-02 02:19:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=585e00a411c08024816bcf8e787014cdd5aa10b7

commit 585e00a411c08024816bcf8e787014cdd5aa10b7
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-06-02 02:18:54 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-02 02:18:54 +0000

    databases/emacsql: New port: High-level Emacs Lisp RDBMS front-end

    PR:             255958
    Approved by:    lwhsu (mentor)

 databases/Makefile                                 |  1 +
 databases/emacsql/Makefile (new)                   | 45 ++++++++++++++++++++++
 databases/emacsql/distinfo (new)                   |  3 ++
 databases/emacsql/files/patch-Makefile (new)       | 12 ++++++
 .../emacsql/files/patch-emacsql-sqlite.el (new)    | 38 ++++++++++++++++++
 .../emacsql/files/patch-sqlite_Makefile (new)      | 22 +++++++++++
 .../emacsql/files/patch-sqlite_emacsql.c (new)     | 11 ++++++
 databases/emacsql/pkg-descr (new)                  | 14 +++++++
 databases/emacsql/pkg-plist (new)                  | 13 +++++++
 9 files changed, 159 insertions(+)
Comment 3 Guangyuan Yang freebsd_committer 2021-06-02 02:35:44 UTC
Committed, thanks!